Subject: Re: [PATCH 1/1] isdn: Use kernel_{send,recv}msg instead of open coding

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Thu, 21 May 2009 22:34:24 -0300

Em Thu, May 21, 2009 at 04:49:29PM -0700, David Miller escreveu:
> From: David Miller <[email-masked]>
> Date: Thu, 21 May 2009 15:14:43 -0700 (PDT)
> 
> > From: Arnaldo Carvalho de Melo <[email-masked]>
> > Date: Thu, 21 May 2009 12:41:26 -0300
> > 
> >> Reducing the number of direct users of sock_{recv,send}msg.
> >> 
> >> Signed-off-by: Arnaldo Carvalho de Melo <[email-masked]>
> > 
> > Nice work, applied, thanks!
> 
> Nevermind, I'm reverting, this doesn't even build:
> 
> drivers/isdn/mISDN/l1oip_core.c: In function 'l1oip_socket_send':
> drivers/isdn/mISDN/l1oip_core.c:354: warning: passing argument 3 of 'kernel_sendmsg' makes pointer from integer without a cast
> drivers/isdn/mISDN/l1oip_core.c:354: error: too few arguments to function 'kernel_sendmsg'
> drivers/isdn/mISDN/l1oip_core.c: In function 'l1oip_socket_thread':
> drivers/isdn/mISDN/l1oip_core.c:729: warning: passing argument 3 of 'kernel_recvmsg' makes pointer from integer without a cast
> drivers/isdn/mISDN/l1oip_core.c:729: error: too few arguments to function 'kernel_recvmsg'

I should have said "not even compile tested".

Will understand stricter questioning in the future.

Damn, these are not present in at least the distro kernel build I
tried...

- Arnaldo